> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yertle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Org Settings

> Update organization settings. Owner only.



## OpenAPI

````yaml patch /orgs/{org_id}/settings
openapi: 3.1.0
info:
  title: Flow API
  description: Content-addressing backend with Git-like versioning
  version: 1.0.0
servers:
  - url: https://api.yertle.com
    description: Production
security: []
paths:
  /orgs/{org_id}/settings:
    patch:
      tags:
        - organizations
      summary: Update Org Settings
      description: Update organization settings. Owner only.
      operationId: update_org_settings_orgs__org_id__settings_patch
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            title: Org Id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOrgSettingsRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateSettingsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateOrgSettingsRequest:
      properties:
        invite_mode:
          anyOf:
            - type: string
              enum:
                - open
                - restricted
            - type: 'null'
          title: Invite Mode
          description: Invite mode
        is_public:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Public
          description: If true, the org becomes anonymously readable via /public/... routes
      type: object
      title: UpdateOrgSettingsRequest
      description: Request model for updating organization settings.
    UpdateSettingsResponse:
      properties:
        invite_mode:
          anyOf:
            - type: string
            - type: 'null'
          title: Invite Mode
          description: Current invite mode (if changed)
        is_public:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Public
          description: Current is_public flag (if changed)
      type: object
      title: UpdateSettingsResponse
      description: |-
        Response for PATCH /orgs/{org_id}/settings.

        Only the fields that were updated in this request are populated; others
        are omitted (None). The handler builds the response from the service
        layer's per-field result dict.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````